Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (19aec69f15c09c9f6c2a8429977a37ce06139c24)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (19aec69f15c09c9f6c2a8429977a37ce06139c24)
  • Date: Wed, 7 Jan 2009 09:43:49 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/spellcaster.sh | 19 +++++++++++++++++++
1 files changed, 19 insertions(+)

New commits:
commit 19aec69f15c09c9f6c2a8429977a37ce06139c24
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: ensure kernel presence

Make sure that either the kernel sources are present within the build
directory (unpacked) or that the linux spell is being used. Otherwise
some of the casts can fail, and other cauldron scripts will not function
properly either.

diff --git a/scripts/spellcaster.sh b/scripts/spellcaster.sh
index d64a60f..ebd017e 100755
--- a/scripts/spellcaster.sh
+++ b/scripts/spellcaster.sh
@@ -121,6 +121,25 @@ function sanity_check() {
fi
fi
fi
+
+ # make sure that either the linux spell is being used or that the
+ # kernel sources are available for building
+ if ! grep -q '^linux$' "$CAULDRONDIR/rspells.$TYPE"
+ then
+ if [[ -d "$TARGET"/usr/src/linux ]]
+ then
+ if [[ ! -s "$TARGET"/usr/src/linux ]]
+ then
+ echo "Couldn't find "$TARGET" kernel config!"
+ exit 2
+ fi
+ else
+ echo "Cannot find the $TARGET kernel!"
+ echo "Either place the kernel sources and kernel
config in $TARGET"
+ echo "or add the linux spell to the list of rspells."
+ exit 2
+ fi
+ fi
}

function prepare_target() {



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (19aec69f15c09c9f6c2a8429977a37ce06139c24), Justin Boffemmyer, 01/07/2009

Archive powered by MHonArc 2.6.24.

Top of Page